This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 506330 - exim init script does not handle lack of /etc/sysconfig/network gracefully
exim init script does not handle lack of /etc/sysconfig/network gracefully
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
12
ppc64 All
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513053
  Show dependency treegraph
 
Reported: 2009-06-16 13:50 EDT by IBM Bug Proxy
Modified: 2010-12-05 01:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 513053 (view as bug list)
Environment:
Last Closed: 2010-12-05 01:50:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (10.96 KB, text/plain)
2009-06-16 13:51 EDT, IBM Bug Proxy
no flags Details
anaconda log file (53.57 KB, text/plain)
2009-06-16 13:51 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 53972 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-06-16 13:50:54 EDT
=Comment: #0=================================================
PAVAN NAREGUNDI <pavan.naregundi@in.ibm.com> - 
DVD based text install of Fedora 11 Final could not bring up or recognize eth0. Below is the boot
log which shows ' /etc/sysconfig/network' is missing from minimal text based dvd installation.


===============================
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM     STARTING SOFTWARE       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM        PLEASE WAIT...       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
/
Elapsed time since release of system processors: 69297 mins 43 secs

Config file read, 1024 bytes

Welcome to Fedora!
Hit <TAB> for boot options
Welcome to yaboot version 1.3.14 (Red Hat 1.3.14-12.fc11)
Enter "help" to get some basic usage information
boot: 
  linux                    
boot: linux
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 03200000, size: 3518 Kbytes
OF stdout device is: /vdevice/vty@30000000
Hypertas detected, assuming LPAR !
command line: root=/dev/mapper/VolGroup-lv_root ro console=hvc0 rhgb quiet 
memory layout at init:
  alloc_bottom : 0000000003570000
  alloc_top    : 0000000008000000
  alloc_top_hi : 0000000008000000
  rmo_top      : 0000000008000000
  ram_top      : 0000000008000000
Looking for displays
instantiating rtas at 0x00000000074e6000 ... done
boot cpu hw idx 0000000000000000
copying OF device tree ...
Building dt strings...
Building dt structure...
Device tree strings 0x0000000003671000 -> 0x0000000003672597
Device tree struct  0x0000000003673000 -> 0x000000000368b000
Calling quiesce ...
returning from prom_init
sd 0:0:1:0: [sda] Assuming drive cache: write through
sd 0:0:1:0: [sda] Assuming drive cache: write through
		Welcome to Fedora 
		Press 'I' to enter interactive startup.
Starting udev: [  OK  ]
Setting hostname localhost:  [  OK  ]
mdadm: No arrays found in config file or automatically
Setting up Logical Volume Management:   2 logical volume(s) in volume group "VolGroup" now active
[  OK  ]
Checking filesystems
Checking all file systems.
[/sbin/fsck.ext4 (1) -- /] fsck.ext4 -a /dev/mapper/VolGroup-lv_root 
/dev/mapper/VolGroup-lv_root: clean, 17509/4194304 files, 435333/16768000 blocks
[/sbin/fsck.ext3 (1) -- /boot] fsck.ext3 -a /dev/sda2 
/dev/sda2: clean, 20/51200 files, 33295/204800 blocks
[  OK  ]
Remounting root filesystem in read-write mode:  [  OK  ]
Mounting local filesystems:  [  OK  ]
Enabling /etc/fstab swaps:  [  OK  ]
Entering non-interactive startup
ip6tables: Applying firewall rules: [  OK  ]
iptables: Applying firewall rules: [  OK  ]
Starting auditd: [  OK  ]
Starting system logger: [  OK  ]
Starting iprinit: [  OK  ]
Starting iprupdate: [  OK  ]
Starting ipr dump daemon[  OK  ]
Starting system message bus: [  OK  ]
Adding udev persistent rules[  OK  ]
Adding udev persistent rules[  OK  ]
Generating SSH1 RSA host key: [  OK  ]
Generating SSH2 RSA host key: [  OK  ]
Generating SSH2 DSA host key: [  OK  ]
Starting sshd: [  OK  ]
/etc/rc3.d/S80exim: line 16: /etc/sysconfig/network: No such file or directory
/etc/rc3.d/S80exim: line 27: [: =: unary operator expected
Starting exim: [  OK  ]
[  OK  ] crond: [  OK  ]

Fedora release 11 (Leonidas)
Kernel 2.6.29.4-167.fc11.ppc64 on an ppc64 (/dev/hvc0)

localhost login: 
============================ 

===========================

[root@localhost ~]# ifconfig
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

[root@localhost ~]# ifup eth0
/sbin/ifup: configuration for eth0 not found.
Usage: ifup <device name>
[root@localhost ~]# lsmod 
Module                  Size  Used by
nf_conntrack_ipv6      23536  2 
ip6t_REJECT             6664  2 
ip6table_filter         5752  1 
ip6_tables             27720  1 ip6table_filter
ipv6                  442224  20 nf_conntrack_ipv6,ip6t_REJECT
ehea                   92584  0 
ibmvscsic              37336  2 
scsi_transport_srp     10088  1 ibmvscsic
scsi_tgt               20440  1 scsi_transport_srp
[root@localhost ~]# 

=========================

CPU type: Power6

Workaround:
After the installation group installed some of the packages from DVD and then '
/etc/sysconfig/network' file appeared. Then adding the /etc/sysconfig/network-scripts/ifcfg-eth0
file to get my network UP and running.
=Comment: #1=================================================
Edjunior Barbosa Machado <emachado@linux.vnet.ibm.com> - 
Hi Pavan,

At the first glance, I'd say the ifcfg-* files are generated by system-config-network or
NetworkManager during F11 installation, but I might be wrong and it can be a bug. Just clarifying,
is this blocking/compromising the install? Would you know if network install works fine? Also, did
this happen on Fedora 11 Preview or previous beta releases?

Could you please provide dmesg and 'ifconfig -a' output?

Thanks a lot.
=Comment: #2=================================================
PAVAN NAREGUNDI <pavan.naregundi@in.ibm.com> - 
(In reply to comment #1)
> Hi Pavan,
> 
> At the first glance, I'd say the ifcfg-* files are generated by
> system-config-network or NetworkManager during F11 installation, but I might be
> wrong and it can be a bug. Just clarifying, is this blocking/compromising the
> install? Would you know if network install works fine? Also, did this happen on
> Fedora 11 Preview or previous beta releases?

It is not blocking the install. 

Network install on P6 is blocked by another bug #52659 (Red Hat Bugzilla #496820). On P5 system
network install worked fine.

It was not the case of F11 preview or beta.

> 
> Could you please provide dmesg and 'ifconfig -a' output?

# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:21:5E:03:1D:21  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:13033840674 (12.1 GiB)  TX bytes:54711039 (52.1 MiB)

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:418 errors:0 dropped:0 overruns:0 frame:0
          TX packets:418 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:45354 (44.2 KiB)  TX bytes:45354 (44.2 KiB)


=Comment: #3=================================================
PAVAN NAREGUNDI <pavan.naregundi@in.ibm.com> - 
If I configure DNS configuration through 'system-config-network', '/etc/sysconfig/network' file gets
created and rebooting no more shows the error 
"
/etc/rc3.d/S80exim: line 16: /etc/sysconfig/network: No such file or directory
/etc/rc3.d/S80exim: line 27: [: =: unary operator expected
"

However still system-config-network does recognize the eth0.

Thanks
Pavan

=Comment: #5=================================================
Edjunior Barbosa Machado <emachado@linux.vnet.ibm.com> - 
Per dmesg and ifconfig outputs, the net interface eth0 (eHEA) is found but it seems it does not get
properly configured.

Pavan,
could you please provide anaconda log files?

Thank you.

=================================================
Hello Red Hat,

could you please take a look at this issue? Since the text install has changed on Fedora 11, we'd
like to double check whether this is a correct behavior or not. Also, please note that exim start
script may not to be working properly after install.

I'm mirroring this issue against component "anaconda" but feel free to move to a proper one, please.

Thanks for your support.
Comment 1 IBM Bug Proxy 2009-06-16 13:51:05 EDT
Created attachment 348140 [details]
dmesg
Comment 2 IBM Bug Proxy 2009-06-16 13:51:15 EDT
Created attachment 348141 [details]
anaconda log file
Comment 3 David Cantrell 2009-06-16 14:29:32 EDT
/etc/sysconfig/network was not written out by anaconda because you performed a DVD install.  There is currently some discussion going on about what policy should be with regard to prompting the user for network settings during install vs. what should be default.  Until policy is declared, anaconda will continue to do what it does.

However, the init script for exim should handle the absence of /etc/sysconfig/network more gracefully.  Reassigning.
Comment 4 David Woodhouse 2009-08-12 07:12:41 EDT
Fixed in exim-4.69-13.fc12
Comment 5 IBM Bug Proxy 2009-08-26 05:11:10 EDT
------- Comment From pavan.naregundi@in.ibm.com 2009-08-26 05:05 EDT-------
Tested in the F12 Alpha.

exim version: exim-4.69-12.fc12.ppc

============
============
Comment 6 IBM Bug Proxy 2009-08-26 08:20:58 EDT
------- Comment From emachado@linux.vnet.ibm.com 2009-08-26 08:13 EDT-------
Reopening this issue per previous comment...
Comment 7 David Woodhouse 2009-08-26 08:54:14 EDT
Er, why? I said 'fixed', someone else said 'tested', and I kind of assumed that meant a _successful_ test...
Comment 9 IBM Bug Proxy 2009-10-21 05:40:39 EDT
------- Comment From pavan.naregundi@in.ibm.com 2009-10-21 05:33 EDT-------
This bug can be closed now. Issue is not seen on F12 beta
Comment 10 Bug Zapper 2009-11-16 05:13:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-11-04 07:05:49 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 01:50:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.